package com.sheep.gamegroup.model.entity;

import com.kfzs.duanduan.utils.NumberFormatUtils;

import java.util.Calendar;
import java.util.List;

/**
 * Created by Administrator on 2018/5/24.
 * 今日参与打卡和报名人数
 */

public class PunchAndSign {
    //        {"sign_up_count":3,"punch_count":1,total_award:1}
    private long countdown;
    private long dataTimes;
    private String sign_up_count;
    private String punch_count;
    private String total_award;
    private List<PunchUser> avatar;

    public String getSign_up_count() {
        return sign_up_count;
    }

    public void setSign_up_count(String sign_up_count) {
        this.sign_up_count = sign_up_count;
    }

    public String getPunch_count() {
        return punch_count;
    }

    public void setPunch_count(String punch_count) {
        this.punch_count = punch_count;
    }

    public String getTotal_award() {
        return total_award;
    }

    public void setTotal_award(String total_award) {
        this.total_award = total_award;
    }

    public List<PunchUser> getAvatar() {
        return avatar;
    }

    public void setAvatar(List<PunchUser> avatar) {
        this.avatar = avatar;
    }

    public long getCountdown() {
        return countdown;
    }

    public void setCountdown(long countdown) {
        this.countdown = countdown;
    }

    public long getDataTimes() {
        return dataTimes;
    }

    public void setDataTimes(long dataTimes) {
        this.dataTimes = dataTimes;
    }


    //获取未打卡次数
    public String getNoPunch_count() {
        return Integer.toString(NumberFormatUtils.parseInteger(total_award) - NumberFormatUtils.parseInteger(punch_count));
    }

    //获取今日或者昨日
    public String getDayText() {
        return dataTimes == 2 ? "昨日" : "今日";
    }
}
